Skip to content

Share a post in the feed

Request

Indicates that the post has been shared by a scoped user. The post must be visible to the user or a 400 bas request will be returned. share_url can be retrieved using GET the trackable URL for a post in the feed.

Security
oauth2_as_a_user(Required scopes: feeds.engage)
Path
content_idintegerrequired

ID of the post. The post must be visible to the user.

Bodyapplication/json
platformstringrequired

The platform the post was shared to. Supported platforms are facebook, twitter, linked_in and copy. copy is used for when the post was copied to the clipboard. Platforms not listed here will be accepted and treated as other.

Example:"facebook"
content_channel_idintegerrequired

The ID of the content channel where the post is viewed.

Example:42
share_urlstringrequired

The URL that has been shared.It can be retrieved using GET /v2/feed/posts/{content_id}/share/trackable_url

Example:"https://bit.ly/abcdefg"
curl -i -X PUT \
  'https://partner.socialchorus.com/v2/feed/posts/{content_id}/share' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "platform": "facebook",
    "content_channel_id": 42,
    "share_url": "https://bit.ly/abcdefg"
  }'

Responses

Feed Post share intent is recorded

Response
No content